> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qall.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Leads Csv



## OpenAPI

````yaml /openapi.json post /api/campaigns/{campaign_id}/leads/import
openapi: 3.1.0
info:
  description: >-
    Build and run voice assistants: configure an assistant, give it tools,
    knowledge and playbooks, place and read calls, and manage contacts,
    campaigns and analytics.


    Authenticate every request with an API key as a bearer token. See the API
    introduction for the response envelope, pagination and error shapes.
  title: Qall API
  version: 0.1.0
servers:
  - description: Production
    url: https://qall.io
security: []
paths:
  /api/campaigns/{campaign_id}/leads/import:
    post:
      tags:
        - campaigns
      summary: Import Leads Csv
      operationId: import_leads_csv_api_campaigns__campaign_id__leads_import_post
      parameters:
        - in: path
          name: campaign_id
          required: true
          schema:
            title: Campaign Id
            type: integer
        - in: query
          name: skip_existing
          required: false
          schema:
            default: true
            title: Skip Existing
            type: boolean
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_import_leads_csv_api_campaigns__campaign_id__leads_import_post
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_import_leads_csv_api_campaigns__campaign_id__leads_import_post:
      properties:
        file:
          format: binary
          title: File
          type: string
      required:
        - file
      title: Body_import_leads_csv_api_campaigns__campaign_id__leads_import_post
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.